$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.153.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.153.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'D908FA478A7D740FF90B25168B0D767DF42918190C2DCD912855B8947FE00BCB'
  checksumType = 'sha256'
  checksum64 = 'D908FA478A7D740FF90B25168B0D767DF42918190C2DCD912855B8947FE00BCB'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.153-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
